Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Aruba should not be a runtime dependency

  • Loading branch information...
commit 276cc9b6e756230f0734d999ced3a1217fdec2f6 1 parent e378c55
Matt Griffin authored July 20, 2011 mike-burns committed August 05, 2011
20  Gemfile.lock
... ...
@@ -1,15 +1,14 @@
1 1
 PATH
2 2
   remote: .
3 3
   specs:
4  
-    appraisal (0.3.6)
5  
-      aruba (~> 0.4.2)
  4
+    appraisal (0.3.7)
6 5
       bundler
7 6
       rake
8 7
 
9 8
 GEM
10 9
   remote: http://rubygems.org/
11 10
   specs:
12  
-    aruba (0.4.3)
  11
+    aruba (0.4.5)
13 12
       bcat (>= 0.6.1)
14 13
       childprocess (>= 0.1.9)
15 14
       cucumber (>= 0.10.7)
@@ -18,36 +17,37 @@ GEM
18 17
     bcat (0.6.1)
19 18
       rack (~> 1.0)
20 19
     builder (3.0.0)
21  
-    childprocess (0.1.9)
  20
+    childprocess (0.2.0)
22 21
       ffi (~> 1.0.6)
23  
-    cucumber (1.0.0)
  22
+    cucumber (1.0.2)
24 23
       builder (>= 2.1.2)
25 24
       diff-lcs (>= 1.1.2)
26  
-      gherkin (~> 2.4.1)
  25
+      gherkin (~> 2.4.5)
27 26
       json (>= 1.4.6)
28 27
       term-ansicolor (>= 1.0.5)
29 28
     diff-lcs (1.1.2)
30 29
     ffi (1.0.9)
31  
-    gherkin (2.4.1)
  30
+    gherkin (2.4.5)
32 31
       json (>= 1.4.6)
33 32
     json (1.5.3)
34  
-    rack (1.3.0)
  33
+    rack (1.3.2)
35 34
     rake (0.9.2)
36 35
     rdiscount (1.6.8)
37 36
     rspec (2.6.0)
38 37
       rspec-core (~> 2.6.0)
39 38
       rspec-expectations (~> 2.6.0)
40 39
       rspec-mocks (~> 2.6.0)
41  
-    rspec-core (2.6.3)
  40
+    rspec-core (2.6.4)
42 41
     rspec-expectations (2.6.0)
43 42
       diff-lcs (~> 1.1.2)
44 43
     rspec-mocks (2.6.0)
45  
-    term-ansicolor (1.0.5)
  44
+    term-ansicolor (1.0.6)
46 45
 
47 46
 PLATFORMS
48 47
   ruby
49 48
 
50 49
 DEPENDENCIES
51 50
   appraisal!
  51
+  aruba (~> 0.4.2)
52 52
   cucumber (~> 1.0)
53 53
   rspec (~> 2.6)
4  appraisal.gemspec
@@ -14,10 +14,10 @@ Gem::Specification.new do |s|
14 14
 
15 15
   s.add_development_dependency('cucumber', '~> 1.0')
16 16
   s.add_development_dependency('rspec', '~> 2.6')
17  
-
  17
+  s.add_development_dependency('aruba', '~> 0.4.2')
  18
+  
18 19
   s.add_runtime_dependency('rake')
19 20
   s.add_runtime_dependency('bundler')
20  
-  s.add_runtime_dependency('aruba', '~> 0.4.2')
21 21
 
22 22
   s.platform = Gem::Platform::RUBY
23 23
   s.rubygems_version = %q{1.2.0}

3 notes on commit 276cc9b

Aaron Pfeifer

Any chance the version could be bumped after this change? Making this a development dependency gets appraisal working on 1.8.6.

Dmitriy Kiriyenko

Could you please release a new gem with this commit? It installs lots of unnecessary gems when testing otherwise.

Joe Ferris
Owner

Done - this is released as 0.3.8.

Please sign in to comment.
Something went wrong with that request. Please try again.